services:
  dbhub:
    image: bytebase/dbhub:0.18.0
    container_name: ${CONTAINER_NAME}
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    networks:
      - opsmind-network
    init: true
    command: 
      - "--transport"
      - "http"
      - "--port"
      - "8080"
      - "--dsn"
      - "${DBHUB_DB_TYPE}://${DBHUB_DB_USER}:${DBHUB_DB_USER_PASSWORD}@${DBHUB_DB_ADDRESS}:${DBHUB_DB_PORT}/${DBHUB_DB_NAME}"
networks:
  opsmind-network:
    external: true
